From a5a6c92ae2bcc6f78a7d080ddbd0a105b0937d11 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Sat, 17 Jul 2021 14:10:08 +0300
Subject: [PATCH 52/59] AlpineApk{Updater,Transaction}: Fix deprecation warn
 with KF5>=5.80

Use percentChanged() signal instead of ambiguous overloaded percent()
signal.
---
 .../AlpineApkBackend/AlpineApkTransaction.cpp         |  5 +++++
 .../backends/AlpineApkBackend/AlpineApkUpdater.cpp    | 11 +++++++++++
 2 files changed, 16 insertions(+)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.cpp
index 26bf1bd0d..0f346e843 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.cpp
@@ -29,6 +29,7 @@
 #include <QTimer>
 
 // KF5
+#include <kcoreaddons_version.h>
 #include <KAuthExecuteJob>
 #include <KLocalizedString>
 
@@ -95,7 +96,11 @@ void AlpineApkTransaction::startTransaction()
     });
 
     // get progress reports for this job
+#if KCOREADDONS_VERSION < QT_VERSION_CHECK(5,80,0)
     QObject::connect(reply, QOverload<KJob*, unsigned long>::of(&KAuth::ExecuteJob::percent), this,
+#else
+    QObject::connect(reply, &KAuth::ExecuteJob::percentChanged, this,
+#endif
                      [this](KJob *job, unsigned long percent) {
         Q_UNUSED(job)
         if (percent >= 40 && role() == InstallRole) {
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
index 14df959cd..4b09c7d05 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
@@ -25,6 +25,7 @@
 #include "alpineapk_backend_logging.h"
 #include "utils.h"
 
+#include <kcoreaddons_version.h>
 #include <KAuthExecuteJob>
 #include <KLocalizedString>
 
@@ -166,9 +167,14 @@ void AlpineApkUpdater::start()
 
     QObject::connect(reply, &KAuth::ExecuteJob::result,
                      this, &AlpineApkUpdater::handleKAuthUpgradeHelperReply);
+#if KCOREADDONS_VERSION < QT_VERSION_CHECK(5,80,0)
     // qOverload is needed because of conflict with getter named percent()
     QObject::connect(reply, QOverload<KJob *, unsigned long>::of(&KAuth::ExecuteJob::percent),
                      this, &AlpineApkUpdater::handleKAuthUpgradeHelperProgress);
+#else
+    QObject::connect(reply, &KAuth::ExecuteJob::percentChanged,
+                     this, &AlpineApkUpdater::handleKAuthUpgradeHelperProgress);
+#endif
 
     m_progressing = true;
     m_upgradeProgress = 0.0;
@@ -197,9 +203,14 @@ void AlpineApkUpdater::startCheckForUpdates()
     if (!reply) return;
     QObject::connect(reply, &KAuth::ExecuteJob::result,
                      this, &AlpineApkUpdater::handleKAuthUpdateHelperReply);
+#if KCOREADDONS_VERSION < QT_VERSION_CHECK(5,80,0)
     // qOverload is needed because of conflict with getter named percent()
     QObject::connect(reply, QOverload<KJob *, unsigned long>::of(&KAuth::ExecuteJob::percent),
                      this, &AlpineApkUpdater::handleKAuthUpdateHelperProgress);
+#else
+    QObject::connect(reply, &KAuth::ExecuteJob::percentChanged,
+                     this, &AlpineApkUpdater::handleKAuthUpdateHelperProgress);
+#endif
 
     m_progressing = true;
     Q_EMIT progressingChanged(m_progressing);
-- 
GitLab


